Rails engines sur textDrive


#1

Bonjours à tous,

J’utilise les rails engines (login_engine pour l’instant) pour mon
application que j’héberge sur textDrive. En local sur macOSX, aucun
problème. Mais sur TextDrive, impossible de lancer lighttpd, il me
fait une erreur dès le lancement.

la première ligne d’erreur est

/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/
active_support/dependencies.rb:200:
in `const_missing’: uninitialized constant SchemaDumper (NameError)

Suivit de 30 lignes d’erreurs.

Je comprends pas cette erreur, et apparemment je doit être le seul Ã
avoir ça parce que Google ne répond rien quand je fais une recherche.
J’ai aussi posté sur la liste de rails engines, mais les américains
sont trop occupés par la conférence de Vancouver pour jeter un coup
d’oeil :slight_smile:

Quelqu’un aurait une piste ?

Merci

Christophe


#2

salut,
j’ai p-e une piste : je te suggère de vérifier quelles sont les versions
installées de Rails et de Ruby,
en local sur ton mac et sur textdrive ? est ce que se sont les mêmes?
sont elles synchro ?
et le cas écheant de regarder du côté de ce ticket :
http://www.ruby-forum.com/topic/58840 (post de james adam du 5 avril
2006 )
pour voir si la solution n’est pas voisine, car bien que le serveur ne
soit pas le même, l’erreur est assez semblable

tiens nous au courant :))
----- Original Message -----
From: Christophe Guégan
To: removed_email_address@domain.invalid
Sent: Friday, April 14, 2006 11:40 AM
Subject: [RailsFr] Rails engines sur textDrive

Bonjours à tous,

J’utilise les rails engines (login_engine pour l’instant) pour mon
application que j’héberge sur textDrive. En local sur macOSX, aucun
problème. Mais sur TextDrive, impossible de lancer lighttpd, il me fait
une erreur dès le lancement.

la première ligne d’erreur est

/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:200:
in `const_missing’: uninitialized constant SchemaDumper (NameError)

Suivit de 30 lignes d’erreurs.

Je comprends pas cette erreur, et apparemment je doit être le seul Ã
avoir ça parce que Google ne répond rien quand je fais une recherche.
J’ai aussi posté sur la liste de rails engines, mais les américains
sont trop occupés par la conférence de Vancouver pour jeter un coup
d’oeil :slight_smile:

Quelqu’un aurait une piste ?

Merci

Christophe



Railsfrance mailing list
removed_email_address@domain.invalid
http://lists.rubyonrails.fr/mailman/listinfo/railsfrance


#3

Merci JMB,

A priori les même versions des 2 cotés ruby 1.8.4 et Rails 1.0.

J’ai lu (et même essayé) le post en question, mais dans mon cas ça ne
résout pas le problème puisque dans mon cas je n’arrive même à pas Ã
installer des gems sur le domaine, ni lancer ‘rake engines:info’.

Si je fait quand même ce qui est recommandé dans ce post, j’ai un
“failed” dans tous les cas. J’ai même essayé d’autres trucs comme
faire un freeze de rails, etc

Je sais qu’il y a plein de types qui on du mal avec “edge”. JE
comprends pas ce que c’est “edge”

Le 14-avr.-06 à 16:33, jmb a écrit :


#4

Salut Christophe,

A priori les même versions des 2 cotés ruby 1.8.4 et Rails 1.0.

J’ai lu (et même essayé) le post en question, mais dans mon cas
ça ne résout pas le problème puisque dans mon cas je n’arrive
même à pas à installer des gems sur le domaine,

Euh… c’est pas Textdrive qui gère les gems ?

ni lancer ‘rake engines:info’.

C’est pas une syntaxe 1.1 ça ?
rake engines_info
ça donne quoi ?

Si je fait quand même ce qui est recommandé dans ce post, j’ai un
“failed” dans tous les cas. J’ai même essayé d’autres trucs comme
faire un freeze de rails, etc

Au fait, t’as la même erreur avec Webrick ? Avec une appli rails
vide ?

Je sais qu’il y a plein de types qui on du mal avec “edge”. JE
comprends pas ce que c’est “edge”

C’est pour avoir une version de rails collée au “trunk” c’est
à dire la version actuelle de développement. C’est pour voir
les dernières nouveautés ou bugfixes de rails mais pas vraiment
destiné à être en production…

-- Jean-François.

#5

Le 14-avr.-06 à 17:25, François Nonnenmacher a écrit :

J’utilise les rails engines (login_engine pour l’instant) pour mon
application que j’héberge sur textDrive. En local sur macOSX,
aucun problème. Mais sur TextDrive, impossible de lancer lighttpd,
il me fait une erreur dès le lancement.

Tu as ouvert un ticket sur le support de TextDrive, ou au moins un
post dans le forum Rails TxD ? Meilleur chemin AMHA…

Oui dans le forum sans réponse depuis 3 jours (D’habitude ça répond
vite), mais pas encore au support.

Christophe


Railsfrance mailing list
removed_email_address@domain.invalid
http://lists.rubyonrails.fr/mailman/listinfo/railsfrance


#6

J’utilise les rails engines (login_engine pour l’instant) pour mon
application que j’héberge sur textDrive. En local sur macOSX, aucun
problème. Mais sur TextDrive, impossible de lancer lighttpd, il me
fait une erreur dès le lancement.

Tu as ouvert un ticket sur le support de TextDrive, ou au moins un
post dans le forum Rails TxD ? Meilleur chemin AMHA…

François

http://padawan.info/fr/


#7

Ouuuula, tout d’un coup ça va trop vite pour moi :slight_smile:

J’ai lu (et même essayé) le post en question, mais dans mon cas
ça ne résout pas le problème puisque dans mon cas je n’arrive
même à pas à installer des gems sur le domaine,

Euh… c’est pas Textdrive qui gère les gems ?

Oui, … je crois

ni lancer ‘rake engines:info’.

C’est pas une syntaxe 1.1 ça ?
rake engines_info
ça donne quoi ?

rake aborted!
Don’t know how to build task ‘engines_info’

Ce que je voulait dire c’est que d’une manière générale, les trucs pour
faire tourner en local ne marche pas puisque c’est eux qui garde le
contrôle sur
un max de chose (et c’est normal bien sur)

Par contre les rails engines, on devrait pouvoir les faire tourner
sans problèmes
puisque ce sont des app à part entières

Si je fait quand même ce qui est recommandé dans ce post, j’ai un
“failed” dans tous les cas. J’ai même essayé d’autres trucs comme
faire un freeze de rails, etc

Au fait, t’as la même erreur avec Webrick ? Avec une appli rails
vide ?

Nan, puisque j’ai mis en local la même chose que sur TextDrive,
justement
pour avoir au max la même config des 2 cotés.

Lighttpd et même version de rail, etc

Je sais qu’il y a plein de types qui on du mal avec “edge”. JE
comprends pas ce que c’est “edge”

C’est pour avoir une version de rails collée au “trunk” c’est
à dire la version actuelle de développement. C’est pour voir
les dernières nouveautés ou bugfixes de rails mais pas vraiment
destiné à être en production…

Ah, ok merci, donc à priori c’est pas le cas chez TextDrive

Merci

Christophe